Package org.apache.tapestry5.kaptcha.modules

## Class KaptchaModule

- java.lang.Object
- - org.apache.tapestry5.kaptcha.modules.KaptchaModule

-     public class KaptchaModule
      extends java.lang.Object

  Defines core services for Kaptcha support.
  Since:
    5.3

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KaptchaModule()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `bind​(ServiceBinder binder)` |
    `static void` | `contributeDataTypeAnalyzer​(OrderedConfiguration<DataTypeAnalyzer> configuration)` |
    `static void` | `factoryDefaults​(MappedConfiguration<java.lang.String,​java.lang.Object> configuration)` |
    `static void` | `provideDefaultBeanBlocks​(Configuration<BeanBlockContribution> configuration)` |
    `static void` | `provideLibraryMapping​(Configuration<LibraryMapping> configuration)` |
    `static void` | `provideLibraryMessages​(OrderedConfiguration<Resource> configuration, Resource kaptchaCatalog)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KaptchaModule

          public KaptchaModule()

  - ### Method Detail

    - #### bind

          public static void bind​(ServiceBinder binder)

    - #### factoryDefaults

          @Contribute(SymbolProvider.class)
          @FactoryDefaults
          public static void factoryDefaults​(MappedConfiguration<java.lang.String,​java.lang.Object> configuration)

    - #### provideLibraryMapping

          @Contribute(ComponentClassResolver.class)
          public static void provideLibraryMapping​(Configuration<LibraryMapping> configuration)

    - #### provideLibraryMessages

          @Contribute(ComponentMessagesSource.class)
          public static void provideLibraryMessages​(OrderedConfiguration<Resource> configuration,
                                                    @Value("classpath:org/apache/tapestry5/kaptcha/tapestry-kaptcha.properties")
                                                    Resource kaptchaCatalog)

    - #### contributeDataTypeAnalyzer

          public static void contributeDataTypeAnalyzer​(OrderedConfiguration<DataTypeAnalyzer> configuration)

    - #### provideDefaultBeanBlocks

          @Contribute(BeanBlockSource.class)
          public static void provideDefaultBeanBlocks​(Configuration<BeanBlockContribution> configuration)